package cpcns.danganzhengli.wenshu.danganhe.service.impl;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import cpcns.base.common.User;
import cpcns.common.dao.ICommonDao;
import cpcns.common.service.impl.commonServiceImpl;
import cpcns.danganzhengli.wenshu.danganhe.dao.IDDangAnHeDao;
import cpcns.danganzhengli.wenshu.danganhe.model.DDangAnHe;
import cpcns.danganzhengli.wenshu.danganhe.service.IDDangAnHeService;
import cpcns.utils.CommStatic;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import javax.servlet.http.HttpServletRequest;
import org.apache.commons.lang.StringUtils;

public class DDangAnHeServiceImpl extends commonServiceImpl<DDangAnHe> implements IDDangAnHeService {
  private IDDangAnHeDao dDangAnHeDao;
  
  public IDDangAnHeDao getdDangAnHeDao() {
    return this.dDangAnHeDao;
  }
  
  public void setdDangAnHeDao(IDDangAnHeDao dDangAnHeDao) {
    setCommonDao((ICommonDao)dDangAnHeDao);
    this.dDangAnHeDao = dDangAnHeDao;
  }
  
  public void updateDangAnHe(String hangBiaoShis, Integer zhuangTai) {
    StringBuffer sql = new StringBuffer();
    sql.append("update D_DangAnHe set zhuangTai = " + zhuangTai + " where hangBiaoShi in (" + hangBiaoShis + ")");
    this.dDangAnHeDao.updateDangAnHe(sql.toString());
    String[] str = hangBiaoShis.split(",");
    Date date = new Date();
    DateFormat format = new SimpleDateFormat("yyyy-MM-dd");
    String time = format.format(date);
    int zt = zhuangTai.intValue();
    if (str.length > 0) {
      if (zhuangTai.intValue() == 0)
        zt = 2; 
      for (int i = 0; i < str.length; i++) {
        DDangAnHe dangAnHe = (DDangAnHe)getById(Integer.valueOf(Integer.parseInt(str[i])));
        String table = CommStatic.getMenLeiToBiaoMing(dangAnHe.getMenLei());
        StringBuffer sqls = (new StringBuffer("update " + table + " set zhuangTai = ")).append(zt);
        if (zhuangTai.intValue() == 0) {
          sqls.append(", guiDangRiQi =to_date(null,'yyyy-MM-dd')");
        } else {
          sqls.append(", guiDangRiQi =to_date('").append(time).append("','yyyy-MM-dd')");
        } 
        sqls.append(" where guanLianBiaoShi = ").append(str[i].toString());
        this.dDangAnHeDao.updateDangAnHe(sqls.toString());
      } 
    } 
  }
  
  public void updateHeNeiJianShu(String hangBiaoShis, int state, Integer fenShu) {
    StringBuffer sql = new StringBuffer(" Update D_DangAnHe set HeNeiJianShu");
    String t_sql = "";
    if (state > 0) {
      t_sql = "+=" + fenShu;
    } else if (state < 0) {
      t_sql = "-=" + fenShu;
    } 
    sql.append(t_sql).append(" where HangBiaoShi in (" + hangBiaoShis + ")");
    this.dDangAnHeDao.updateDangAnHe(sql.toString());
  }
  
  public String addToKuFang(HttpServletRequest request, User user) {
    String falg = "";
    String hangBiaoShis = request.getParameter("hangBiaoShis");
    String[] lis = chuRuKu(request, user).split(";");
    StringBuffer sql = new StringBuffer("update D_DangAnHe set ruKuFangZhuangTai=2,kuFangBiaoShi = '" + lis[2] + "',kuFangMingCheng = '" + lis[1] + "' where hangBiaoShi in (" + lis[0] + ")");
    this.dDangAnHeDao.updateDangAnHe(sql.toString());
    if (StringUtils.isNotBlank(hangBiaoShis)) {
      String[] hangBiaoShi = hangBiaoShis.split(",");
      for (int i = 0; i < hangBiaoShi.length; i++) {
        String biaoShi = hangBiaoShi[i];
        DDangAnHe dah = (DDangAnHe)this.dDangAnHeDao.getById(Integer.valueOf(Integer.parseInt(biaoShi)));
        String menLei = dah.getMenLei();
        String tabName = CommStatic.getMenLeiToBiaoMing(menLei);
        StringBuffer sqls = new StringBuffer("update " + tabName + " set cunFangWeiZhi='" + lis[1] + "' where guanLianBiaoShi=" + biaoShi);
        this.dDangAnHeDao.updateDangAnHe(sqls.toString());
      } 
      falg = hangBiaoShis;
    } 
    return falg;
  }
  
  private String chuRuKu(HttpServletRequest request, User user) {
    String hangBiaoShis = "";
    String data = request.getParameter("data");
    String table = request.getParameter("table");
    String result = request.getParameter("result");
    String[] res = result.split(",");
    String kuFangMingCheng = "";
    String[] yuanDA = data.split(";");
    for (int i = 0; i < yuanDA.length; i++) {
      StringBuffer sql = new StringBuffer("insert into D_ChuRuKuDengJi (hangBiaoShi,kuFangBiaoShi,kuFangMingCheng,guanLianBiaoMing,guanLianBiaoShi,tiMing,dangHao,guiDangNianDu,quanZongHao,baoGuanQiXian,zhuangTai,caoZuoRen,caoZuoRenBiaoShi,ruKuShiJian)");
      String[] yDA = yuanDA[i].split(",");
      kuFangMingCheng = getKuFangMingCheng(res[1], res[3]);
      int hbs = this.dDangAnHeDao.getPk("D_ChuRuKuDengJi");
      SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
      String time = df.format(new Date());
      sql.append(" values ('" + hbs + "','" + res[1] + "','" + kuFangMingCheng + "','" + table + "','" + Integer.parseInt(yDA[0]) + "','" + yDA[1] + "','" + yDA[2] + "','" + yDA[3] + "','" + yDA[4] + "','" + yDA[5] + "','" + '\001' + "','" + user.getMingCheng() + "','" + user.getBiaoShi() + "',to_date('" + time + "','yyyy-MM-dd HH24:mi:ss'))");
      this.dDangAnHeDao.updateDangAnHe(sql.toString());
      if (hangBiaoShis == "") {
        hangBiaoShis = yDA[0];
      } else {
        hangBiaoShis = String.valueOf(hangBiaoShis) + "," + yDA[0];
      } 
    } 
    return String.valueOf(hangBiaoShis) + ";" + kuFangMingCheng + ";" + res[1];
  }
  
  private String getKuFangMingCheng(String jieDianBiaoShi, String jieDianGuanXi) {
    String[] jdgx = jieDianGuanXi.split("\\|");
    String kfNum = "";
    kfNum = String.valueOf(jdgx[1]) + "," + jdgx[2] + "," + jieDianBiaoShi;
    StringBuffer nam = new StringBuffer("select MingCheng from D_KuFangFenLei where hangBiaoShi in(" + kfNum + ")");
    List listname = this.dDangAnHeDao.getList(nam.toString());
    return (new StringBuilder()).append(listname.get(0)).append("\\").append(listname.get(1)).append("\\").append(listname.get(2)).toString();
  }
}
